import logging
from typing import TypeVar

logger = logging.getLogger("desktopenv.getters.misc")

R = TypeVar("Rule")


def get_rule(env, config: R) -> R:
    """
    Returns the rule as-is.
    """
    return config["rules"]


def get_accessibility_tree(env, *args) -> str:
    accessibility_tree: str = env.controller.get_accessibility_tree()
    logger.debug("AT@eval: %s", accessibility_tree)
    return accessibility_tree
